LogicalConnectionImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Interface LogicalConnectionImplementor

All Superinterfaces:
  LogicalConnection, Serializable

All Known Implementing Classes:
  LogicalConnectionImpl

    public interface LogicalConnectionImplementor

extends LogicalConnection

The "internal" contract for LogicalConnection

Method Summary
`void` | `addObserver(ConnectionObserver observer)` Add an observer interested in notification of connection events.
`void` | `afterStatementExecution()` Used to signify that a statement has completed execution which may indicate that this logical connection need to perform an aggressive release of its physical connection.
`void` | `afterTransaction()` Used to signify that a transaction has completed which may indicate that this logical connection need to perform an aggressive release of its physical connection.
`void` | `disableReleases()` Manually (and temporarily) circumvent aggressive release processing.
`void` | `enableReleases()` Re-enable aggressive release processing (after a prior `disableReleases()` call.
`ConnectionReleaseMode` | `getConnectionReleaseMode()` The release mode under which this logical connection is operating.
`JdbcServices` | `getJdbcServices()` Obtains the JDBC services associated with this logical connection.
`JdbcResourceRegistry` | `getResourceRegistry()` Obtains the JDBC resource registry associated with this logical connection.
`boolean` | `isAutoCommit()`
`boolean` | `isReadyForSerialization()`
`Connection` | `manualDisconnect()` Manually disconnect the underlying JDBC Connection.
`void` | `manualReconnect(Connection suppliedConnection)` Manually reconnect the underlying JDBC Connection.
`void` | `notifyObserversStatementPrepared()`
`void` | `removeObserver(ConnectionObserver connectionObserver)` Remove an observer

Methods inherited from interface org.hibernate.engine.jdbc.spi.LogicalConnection
`close, getConnection, getDistinctConnectionProxy, getShareableConnectionProxy, isOpen, isPhysicallyConnected`

Method Detail

### getJdbcServices

    JdbcServices getJdbcServices()

  Obtains the JDBC services associated with this logical connection.

  Returns:
    JDBC services

### getResourceRegistry

    JdbcResourceRegistry getResourceRegistry()

  Obtains the JDBC resource registry associated with this logical connection.

  Returns:
    The JDBC resource registry.

### addObserver

    void addObserver(ConnectionObserver observer)

  Add an observer interested in notification of connection events.

  Parameters:
    `observer` - The observer.

### removeObserver

    void removeObserver(ConnectionObserver connectionObserver)

  Remove an observer

  Parameters:
    `connectionObserver` - The observer to remove.

### getConnectionReleaseMode

    ConnectionReleaseMode getConnectionReleaseMode()

  The release mode under which this logical connection is operating.

  Returns:
    the release mode.

### afterStatementExecution

    void afterStatementExecution()

  Used to signify that a statement has completed execution which may indicate that this logical connection need to perform an aggressive release of its physical connection.

### afterTransaction

    void afterTransaction()

  Used to signify that a transaction has completed which may indicate that this logical connection need to perform an aggressive release of its physical connection.

  Specified by:
    `afterTransaction` in interface `LogicalConnection`

### disableReleases

    void disableReleases()

  Manually (and temporarily) circumvent aggressive release processing.

### enableReleases

    void enableReleases()

  Re-enable aggressive release processing (after a prior `disableReleases()` call.

### manualDisconnect

    Connection manualDisconnect()

  Manually disconnect the underlying JDBC Connection. The assumption here is that the manager will be reconnected at a later point in time.

  Returns:
    The connection maintained here at time of disconnect. Null if there was no connection cached internally.

### manualReconnect

    void manualReconnect(Connection suppliedConnection)

  Manually reconnect the underlying JDBC Connection. Should be called at some point after manualDisconnect().

  Parameters:
    `suppliedConnection` - For user supplied connection strategy the user needs to hand us the connection with which to reconnect. It is an error to pass a connection in the other strategies.

### isAutoCommit

    boolean isAutoCommit()

### isReadyForSerialization

    boolean isReadyForSerialization()

### notifyObserversStatementPrepared

    void notifyObserversStatementPrepared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.